WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP-Live-Chat

Chat Meets Blog - A Love/Chat Relationship. An IRC web client for your blog.

Installation

To install a chat room in your blog, simply upload the plugin you need (Adult or Freenode) to your plugins directory and activate it in the plugins menu, as is normal for all plugins.

You may only activate ONE of these plugins at a time. Activating BOTH may crash your wordpress. They use the same variables and function names.

Enter the chat room code below in your post or page to generate the chat button.

Chat Room Markup Code

You must create or edit a Page or Post in your blog to add the chat button code.

Button Code String Must be in [ ] square brackets.

[livechat:roomname:skin:skin:image:image_url:close]

There are three author selectable options.

option livechat:roomname:

Can be any IRC compatible channel name without the leading '#' for instance #Help roomname would simply be listed as [livechat:Help: or the #SexyTeens room name would be listed as [livechat:SexyTeens:

IRC Channel Name Special Characters such as !~`^+ should not be used.

option skin:skin

There are a range of skins available to customize the look of the chat room to match your site, selecting a skin other than any on the below list will revert to the default skin

skin:default skin:mirc skin:dark skin:dutch skin:german skin:gothic skin:norwegian skin:romanian skin:russian

option image:image_url:close

The image parameter generates the actual visible button on your site. When a visitor or member of your blog clicks this image, the chat opens.

This image may be any image you wish to use as a connect button.

Enter the image location as a full url.

Do not enclose the image location in quotes.

CORRECT-> :image:http://evbid.com/images/chatnow.gif:close

WRONG-> :image:"../flower.png":close

Requires: 2.2.2 or higher
Compatible up to: 2.5 and WPMU 1.3.3
Last Updated: 2008-4-25
Downloads: 41,608

Ratings

2 stars
2.8 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,1,0
0,3,0
33,3,1
0,3,0
0,2,0
0,1,0
0,1,0
100,1,1